Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextDocument.MetaInformation

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QTextDocument.MetaInformation

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTextDocument

    public static final class QTextDocument.MetaInformation

extends java.lang.Enum
implements QtEnumerator

This enum describes the different types of meta information that can be added to a document.

See also:
  `metaInformation()`, and `setMetaInformation()`.

See Also:
  Serialized Form

Field Summary
`static QTextDocument.MetaInformation` | `DocumentTitle` The title of the document.
`static QTextDocument.MetaInformation` | `DocumentUrl` The url of the document.

Method Summary
`static QTextDocument.MetaInformation` | `resolve(int value)` Returns the QTextDocument$MetaInformation constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextDocument.MetaInformation` | `valueOf(java.lang.String name)`
`static QTextDocument.MetaInformation[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DocumentTitle

    public static final QTextDocument.MetaInformation DocumentTitle

  The title of the document.

### DocumentUrl

    public static final QTextDocument.MetaInformation DocumentUrl

  The url of the document. The `loadResource()` function uses this url as the base when loading relative resources.

Method Detail

### values

    public static QTextDocument.MetaInformation[] values()

### valueOf

    public static QTextDocument.MetaInformation valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextDocument.MetaInformation resolve(int value)

  Returns the QTextDocument$MetaInformation constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD